Subject: Re: bug#20542: Differences between q and Q

From: Davide Brini <[email-masked]>
Date: Sun, 10 May 2015 23:04:04 +0200

On Sun, 10 May 2015 17:45:14 +0200, Paolo Bonzini <[email-masked]> wrote:

> 
> 
> On 10/05/2015 07:07, Daniel Goldman [email-masked] [sed-users] wrote:
> > Again, to repeat, the purpose of my post (based on emails I received) 
> > was to suggest that the GNU sed manual be corrected to read "Note that 
> > the current pattern space is printed if auto-print is not disabled with 
> > the -n options. Also, scheduled text is printed." for q, and "This 
> > command is the same as q, but will not print the contents of pattern 
> > space, nor any scheduled text." for Q. If anyone has comments on this 
> > admittedly minor correction, that would be great. If no comments,
> > that's OK too. :)
> 
> Yes, this is a good change.  I'm CCing the current GNU sed maintainer so
> that he can work it out into a patch.
> 
> By the way, there is another command ("d") that suppresses scheduled text.

Doesn't seem to affect the "a", "i" and "c" commands (I'm not sure this is
as it should be):

$ echo x | sed -e 'a y' -e d
y
$ echo x | sed -e 'i y' -e d
y
$ echo x | sed -e 'c y' -e d
y
$ sed --version
sed (GNU sed) 4.2.2
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
...

-- 
D.